﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.0.3705.288
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace TIES.WebUI {
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;
    
    
    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class TopNReportds : DataSet {
        
        private TopNDataTable tableTopN;
        
        public TopNReportds() {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        protected TopNReportds(SerializationInfo info, StreamingContext context) {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null)) {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["TopN"] != null)) {
                    this.Tables.Add(new TopNDataTable(ds.Tables["TopN"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public TopNDataTable TopN {
            get {
                return this.tableTopN;
            }
        }
        
        public override DataSet Clone() {
            TopNReportds cln = ((TopNReportds)(base.Clone()));
            cln.InitVars();
            return cln;
        }
        
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        protected override void ReadXmlSerializable(XmlReader reader) {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["TopN"] != null)) {
                this.Tables.Add(new TopNDataTable(ds.Tables["TopN"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }
        
        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }
        
        internal void InitVars() {
            this.tableTopN = ((TopNDataTable)(this.Tables["TopN"]));
            if ((this.tableTopN != null)) {
                this.tableTopN.InitVars();
            }
        }
        
        private void InitClass() {
            this.DataSetName = "TopNReportds";
            this.Prefix = "";
            this.Namespace = "";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableTopN = new TopNDataTable();
            this.Tables.Add(this.tableTopN);
        }
        
        private bool ShouldSerializeTopN() {
            return false;
        }
        
        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        public delegate void TopNRowChangeEventHandler(object sender, TopNRowChangeEvent e);
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class TopNDataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columnpayer_type;
            
            private DataColumn columnpayer_name;
            
            private DataColumn columnenterprise_name;
            
            private DataColumn columncurrency;
            
            private DataColumn columnpayerid;
            
            private DataColumn columnno_of_consignment;
            
            private DataColumn columnchargeable_wt;
            
            private DataColumn columntot_volume;
            
            private DataColumn columnrevenue;
            
            internal TopNDataTable() : 
                    base("TopN") {
                this.InitClass();
            }
            
            internal TopNDataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn payer_typeColumn {
                get {
                    return this.columnpayer_type;
                }
            }
            
            internal DataColumn payer_nameColumn {
                get {
                    return this.columnpayer_name;
                }
            }
            
            internal DataColumn enterprise_nameColumn {
                get {
                    return this.columnenterprise_name;
                }
            }
            
            internal DataColumn currencyColumn {
                get {
                    return this.columncurrency;
                }
            }
            
            internal DataColumn payeridColumn {
                get {
                    return this.columnpayerid;
                }
            }
            
            internal DataColumn no_of_consignmentColumn {
                get {
                    return this.columnno_of_consignment;
                }
            }
            
            internal DataColumn chargeable_wtColumn {
                get {
                    return this.columnchargeable_wt;
                }
            }
            
            internal DataColumn tot_volumeColumn {
                get {
                    return this.columntot_volume;
                }
            }
            
            internal DataColumn revenueColumn {
                get {
                    return this.columnrevenue;
                }
            }
            
            public TopNRow this[int index] {
                get {
                    return ((TopNRow)(this.Rows[index]));
                }
            }
            
            public event TopNRowChangeEventHandler TopNRowChanged;
            
            public event TopNRowChangeEventHandler TopNRowChanging;
            
            public event TopNRowChangeEventHandler TopNRowDeleted;
            
            public event TopNRowChangeEventHandler TopNRowDeleting;
            
            public void AddTopNRow(TopNRow row) {
                this.Rows.Add(row);
            }
            
            public TopNRow AddTopNRow(string payer_type, string payer_name, string enterprise_name, string currency, string payerid, int no_of_consignment, System.Decimal chargeable_wt, System.Decimal tot_volume, System.Decimal revenue) {
                TopNRow rowTopNRow = ((TopNRow)(this.NewRow()));
                rowTopNRow.ItemArray = new object[] {
                        payer_type,
                        payer_name,
                        enterprise_name,
                        currency,
                        payerid,
                        no_of_consignment,
                        chargeable_wt,
                        tot_volume,
                        revenue};
                this.Rows.Add(rowTopNRow);
                return rowTopNRow;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                TopNDataTable cln = ((TopNDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new TopNDataTable();
            }
            
            internal void InitVars() {
                this.columnpayer_type = this.Columns["payer_type"];
                this.columnpayer_name = this.Columns["payer_name"];
                this.columnenterprise_name = this.Columns["enterprise_name"];
                this.columncurrency = this.Columns["currency"];
                this.columnpayerid = this.Columns["payerid"];
                this.columnno_of_consignment = this.Columns["no_of_consignment"];
                this.columnchargeable_wt = this.Columns["chargeable_wt"];
                this.columntot_volume = this.Columns["tot_volume"];
                this.columnrevenue = this.Columns["revenue"];
            }
            
            private void InitClass() {
                this.columnpayer_type = new DataColumn("payer_type", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnpayer_type);
                this.columnpayer_name = new DataColumn("payer_name", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnpayer_name);
                this.columnenterprise_name = new DataColumn("enterprise_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnenterprise_name);
                this.columncurrency = new DataColumn("currency", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columncurrency);
                this.columnpayerid = new DataColumn("payerid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpayerid);
                this.columnno_of_consignment = new DataColumn("no_of_consignment", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnno_of_consignment);
                this.columnchargeable_wt = new DataColumn("chargeable_wt", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnchargeable_wt);
                this.columntot_volume = new DataColumn("tot_volume", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columntot_volume);
                this.columnrevenue = new DataColumn("revenue", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrevenue);
                this.columnpayer_type.Namespace = "";
                this.columnpayer_name.Namespace = "";
            }
            
            public TopNRow NewTopNRow() {
                return ((TopNRow)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new TopNRow(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(TopNRow);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.TopNRowChanged != null)) {
                    this.TopNRowChanged(this, new TopNRowChangeEvent(((TopNRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.TopNRowChanging != null)) {
                    this.TopNRowChanging(this, new TopNRowChangeEvent(((TopNRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.TopNRowDeleted != null)) {
                    this.TopNRowDeleted(this, new TopNRowChangeEvent(((TopNRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.TopNRowDeleting != null)) {
                    this.TopNRowDeleting(this, new TopNRowChangeEvent(((TopNRow)(e.Row)), e.Action));
                }
            }
            
            public void RemoveTopNRow(TopNRow row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class TopNRow : DataRow {
            
            private TopNDataTable tableTopN;
            
            internal TopNRow(DataRowBuilder rb) : 
                    base(rb) {
                this.tableTopN = ((TopNDataTable)(this.Table));
            }
            
            public string payer_type {
                get {
                    try {
                        return ((string)(this[this.tableTopN.payer_typeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.payer_typeColumn] = value;
                }
            }
            
            public string payer_name {
                get {
                    try {
                        return ((string)(this[this.tableTopN.payer_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.payer_nameColumn] = value;
                }
            }
            
            public string enterprise_name {
                get {
                    try {
                        return ((string)(this[this.tableTopN.enterprise_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.enterprise_nameColumn] = value;
                }
            }
            
            public string currency {
                get {
                    try {
                        return ((string)(this[this.tableTopN.currencyColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.currencyColumn] = value;
                }
            }
            
            public string payerid {
                get {
                    try {
                        return ((string)(this[this.tableTopN.payeridColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.payeridColumn] = value;
                }
            }
            
            public int no_of_consignment {
                get {
                    try {
                        return ((int)(this[this.tableTopN.no_of_consignmentColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.no_of_consignmentColumn] = value;
                }
            }
            
            public System.Decimal chargeable_wt {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableTopN.chargeable_wtColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.chargeable_wtColumn] = value;
                }
            }
            
            public System.Decimal tot_volume {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableTopN.tot_volumeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.tot_volumeColumn] = value;
                }
            }
            
            public System.Decimal revenue {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableTopN.revenueColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableTopN.revenueColumn] = value;
                }
            }
            
            public bool Ispayer_typeNull() {
                return this.IsNull(this.tableTopN.payer_typeColumn);
            }
            
            public void Setpayer_typeNull() {
                this[this.tableTopN.payer_typeColumn] = System.Convert.DBNull;
            }
            
            public bool Ispayer_nameNull() {
                return this.IsNull(this.tableTopN.payer_nameColumn);
            }
            
            public void Setpayer_nameNull() {
                this[this.tableTopN.payer_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Isenterprise_nameNull() {
                return this.IsNull(this.tableTopN.enterprise_nameColumn);
            }
            
            public void Setenterprise_nameNull() {
                this[this.tableTopN.enterprise_nameColumn] = System.Convert.DBNull;
            }
            
            public bool IscurrencyNull() {
                return this.IsNull(this.tableTopN.currencyColumn);
            }
            
            public void SetcurrencyNull() {
                this[this.tableTopN.currencyColumn] = System.Convert.DBNull;
            }
            
            public bool IspayeridNull() {
                return this.IsNull(this.tableTopN.payeridColumn);
            }
            
            public void SetpayeridNull() {
                this[this.tableTopN.payeridColumn] = System.Convert.DBNull;
            }
            
            public bool Isno_of_consignmentNull() {
                return this.IsNull(this.tableTopN.no_of_consignmentColumn);
            }
            
            public void Setno_of_consignmentNull() {
                this[this.tableTopN.no_of_consignmentColumn] = System.Convert.DBNull;
            }
            
            public bool Ischargeable_wtNull() {
                return this.IsNull(this.tableTopN.chargeable_wtColumn);
            }
            
            public void Setchargeable_wtNull() {
                this[this.tableTopN.chargeable_wtColumn] = System.Convert.DBNull;
            }
            
            public bool Istot_volumeNull() {
                return this.IsNull(this.tableTopN.tot_volumeColumn);
            }
            
            public void Settot_volumeNull() {
                this[this.tableTopN.tot_volumeColumn] = System.Convert.DBNull;
            }
            
            public bool IsrevenueNull() {
                return this.IsNull(this.tableTopN.revenueColumn);
            }
            
            public void SetrevenueNull() {
                this[this.tableTopN.revenueColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class TopNRowChangeEvent : EventArgs {
            
            private TopNRow eventRow;
            
            private DataRowAction eventAction;
            
            public TopNRowChangeEvent(TopNRow row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public TopNRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}
